"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _get_modules_dirs = _interopRequireDefault(require("./get_modules_dirs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isString = val => val != null && val.constructor === String;

const adjustWebpackCommonPackages = ({
  commonPackages
}) => webpackConfigs => {
  if (Object(commonPackages) !== commonPackages || !Object.keys(commonPackages).every(isString) || !Object.values(commonPackages).every(isString)) {
    throw new Error('The `commonPackages` field must be Object<String, String>');
  }

  for (const webpackConfig of webpackConfigs) {
    webpackConfig.resolve.modules = [_path.default.join(process.cwd(), 'node_modules'), // TODO. Hot-fix
    'node_modules'];
    webpackConfig.module.rules[1].use.options.plugins = [...(webpackConfig.module.rules[1].use.options.plugins || []), [require.resolve('babel-plugin-module-resolver'), {
      alias: commonPackages
    }]];
    webpackConfig.module.rules.push({
      test: /\.js$/,
      include: Object.values(commonPackages),
      exclude: [/node_modules/, ...(0, _get_modules_dirs.default)({
        isAbsolutePath: true
      }), _path.default.resolve(__dirname, '../lib'), _path.default.resolve(__dirname, '../es')],
      use: {
        loader: require.resolve('babel-loader'),
        options: {
          cacheDirectory: true,
          plugins: [[require.resolve('babel-plugin-module-resolver'), {
            alias: commonPackages
          }]]
        }
      }
    });
  }
};

var _default = adjustWebpackCommonPackages;
exports.default = _default;
//# sourceMappingURL=adjust_webpack_common_packages.js.map