"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _declare_runtime_env = require("../declare_runtime_env");

var _default = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.distDir`);
  }

  if ((0, _declare_runtime_env.checkRuntimeEnv)(resolveConfig.distDir)) {
    throw new Error(`${_constants.message.clientEnvError}.distDir`);
  }

  const exports = [];
  exports.push(`const distDir = ${JSON.stringify(resolveConfig.distDir, null, 2)}`, ``, `export default distDir`);
  return exports.join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.distDir.js.map