"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _declare_runtime_env = require("../declare_runtime_env");

var _default = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.eventBroker`);
  }

  const exports = [`import '$resolve.guardOnlyServer'`, `const eventBrokerConfig = {}`];

  for (const key of Object.keys(resolveConfig.eventBroker)) {
    const value = resolveConfig.eventBroker[key];

    if (key === 'launchBroker' && (0, _declare_runtime_env.checkRuntimeEnv)(value)) {
      throw new Error('Forbidden runtime injection: $resolve.eventBroker.launchBroker');
    }

    if ((0, _declare_runtime_env.checkRuntimeEnv)(value)) {
      exports.push(`eventBrokerConfig[${JSON.stringify(key)}] = ${(0, _declare_runtime_env.injectRuntimeEnv)(value)}`);
    } else {
      exports.push(`eventBrokerConfig[${JSON.stringify(key)}] = ${JSON.stringify(value)}`);
    }
  }

  exports.push('export default eventBrokerConfig');
  return exports.join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.eventBrokerConfig.js.map