"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _import_resource = _interopRequireDefault(require("../import_resource"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.eventstoreAdapter`);
  }

  const imports = [`import '$resolve.guardOnlyServer'`];
  const constants = [];
  const exports = [];
  (0, _import_resource.default)({
    resourceName: 'eventstoreAdapter',
    resourceValue: resolveConfig.eventstoreAdapter,
    runtimeMode: _constants.RUNTIME_ENV_ANYWHERE,
    importMode: _constants.RESOURCE_CONSTRUCTOR_ONLY,
    instanceMode: _constants.IMPORT_CONSTRUCTOR,
    imports,
    constants
  });
  exports.push('export default eventstoreAdapter');
  return [...imports, ...constants, ...exports].join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.eventstoreAdapter.js.map