"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _declare_runtime_env = require("../declare_runtime_env");

var _default = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.port`);
  }

  const exports = [];

  if ((0, _declare_runtime_env.checkRuntimeEnv)(resolveConfig.port)) {
    exports.push(`const port = ${(0, _declare_runtime_env.injectRuntimeEnv)(resolveConfig.port)}`, ``, `export default port`);
  } else {
    exports.push(`const port = ${JSON.stringify(resolveConfig.port)}`, ``, `export default port`);
  }

  return exports.join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.port.js.map