"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _import_resource = _interopRequireDefault(require("../import_resource"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCode}.serverImports`);
  }

  if (resolveConfig.serverImports == null) {
    throw new Error(`${_constants.message.configNotContainSectionError}.serverImports`);
  }

  const imports = [`import '$resolve.guardOnlyServer'`];
  const constants = [``];
  const exports = [``, `const imports = {}`, ``];
  const importKeys = Object.keys(resolveConfig.serverImports);

  for (let index = 0; index < importKeys.length; index++) {
    const importKey = importKeys[index];
    const importValue = resolveConfig.serverImports[importKey];
    (0, _import_resource.default)({
      resourceName: `import_${index}`,
      resourceValue: importValue,
      runtimeMode: _constants.RUNTIME_ENV_ANYWHERE,
      importMode: _constants.RESOURCE_ANY,
      instanceMode: _constants.IMPORT_CONSTRUCTOR,
      imports,
      constants
    });
    exports.push(`imports[${JSON.stringify(importKey)}] =  import_${index}`);
  }

  exports.push(`export default imports`);
  return [...imports, ...constants, ...exports].join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.serverImports.js.map