"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _declare_runtime_env = require("../declare_runtime_env");

var _default = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.staticDir`);
  }

  if ((0, _declare_runtime_env.checkRuntimeEnv)(resolveConfig.staticDir)) {
    throw new Error(`${_constants.message.clientEnvError}.staticDir`);
  }

  const exports = [];
  exports.push(`const staticDir = ${JSON.stringify(resolveConfig.staticDir, null, 2)}`, ``, `export default staticDir`);
  return exports.join('\r\n');
};

exports.default = _default;
//# sourceMappingURL=$resolve.staticDir.js.map