"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkImportKey = exports.declareImportKey = void 0;
const importKeySymbol = Symbol('@@resolve/import_key');

const declareImportKey = importKey => {
  if (importKey == null || importKey.constructor !== String) {
    throw new Error('Import key should be an string');
  } // eslint-disable-next-line no-new-wrappers


  const importKeyContainer = new String(importKey);
  importKeyContainer.type = importKeySymbol;
  return importKeyContainer;
};

exports.declareImportKey = declareImportKey;

const checkImportKey = value => !(value == null || value.type !== importKeySymbol);

exports.checkImportKey = checkImportKey;
//# sourceMappingURL=declare_import_key.js.map