"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _merge = _interopRequireDefault(require("./merge"));

var _generate_custom_mode = _interopRequireDefault(require("./generate_custom_mode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getConfig = async (resolveConfig, options) => {
  if (options == null || options.constructor !== Object) {
    throw new Error('Invalid export-event-store options');
  }

  const {
    directory
  } = options;

  if (directory == null || directory.constructor !== String) {
    throw new Error('Options field "directory" must be string');
  }

  const config = (0, _merge.default)(resolveConfig, {
    apiHandlers: [{
      method: 'GET',
      path: '/api/export-event-store',
      handler: {
        module: 'resolve-runtime/lib/local/export-event-store-handler.js',
        options
      }
    }],
    eventBroker: {
      upstream: false
    }
  });
  Object.assign(config, {
    readModelConnectors: {},
    readModels: [],
    viewModels: [],
    sagas: []
  });
  return config;
};

const exportEventStoreMode = (0, _generate_custom_mode.default)(getConfig, 'export-event-store');
var _default = exportEventStoreMode;
exports.default = _default;
//# sourceMappingURL=export_event_store_mode.js.map