"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const normalizeEntry = ([inputFile, {
  outputFile,
  moduleType,
  target
}]) => ({
  inputFile,
  outputFile,
  moduleType,
  target
});

const getClientEntries = ({
  clientEntries
}, isClient) => {
  const iifeEntries = clientEntries.filter(entry => !Array.isArray(entry) || entry[1].moduleType === 'iife').map(entry => !Array.isArray(entry) ? [entry, {
    outputFile: `client/${_path.default.basename(entry)}`,
    moduleType: 'iife',
    target: 'web'
  }] : entry).map(normalizeEntry).filter(({
    target
  }) => target === 'web' === isClient);
  const commonjsEntries = clientEntries.filter(entry => Array.isArray(entry) && entry[1].moduleType === 'commonjs').map(normalizeEntry).filter(({
    target
  }) => target === 'web' === isClient);
  const esmEntries = clientEntries.filter(entry => Array.isArray(entry) && entry[1].moduleType === 'esm').map(normalizeEntry).filter(({
    target
  }) => target === 'web' === isClient);
  return {
    iifeEntries,
    commonjsEntries,
    esmEntries
  };
};

var _default = getClientEntries;
exports.default = _default;
//# sourceMappingURL=get_client_entries.js.map