"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _get_monorepo_node_modules = _interopRequireDefault(require("./get_monorepo_node_modules"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getModulesDirs = ({
  isAbsolutePath = false
} = {}) => {
  const currentDir = process.cwd();
  const monorepoNodeModules = (0, _get_monorepo_node_modules.default)();

  const currentDirNodeModules = _path.default.join(currentDir, 'node_modules');

  const resolveRuntimeNodeModules = _path.default.join(_path.default.dirname(require.resolve('resolve-runtime/package.json', {
    paths: [currentDirNodeModules, ...monorepoNodeModules]
  })), 'node_modules');

  const absoluteDirs = [];

  if (_fs.default.existsSync(currentDirNodeModules)) {
    absoluteDirs.push(currentDirNodeModules);
  }

  if (_fs.default.existsSync(resolveRuntimeNodeModules)) {
    absoluteDirs.push(resolveRuntimeNodeModules);
  }

  absoluteDirs.push(...monorepoNodeModules);

  if (isAbsolutePath) {
    return absoluteDirs;
  } else {
    const relativeDirs = absoluteDirs.map(absoluteDir => _path.default.relative(currentDir, absoluteDir));
    return relativeDirs;
  }
};

var _default = getModulesDirs;
exports.default = _default;
//# sourceMappingURL=get_modules_dirs.js.map