"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isMonorepoDir = dir => {
  if (dir === '') {
    return false;
  }

  try {
    const packageJson = JSON.parse(_fs.default.readFileSync(_path.default.join(dir, 'package.json')));

    if (packageJson.workspaces) {
      return true;
    }
  } catch (err) {}

  return false;
};

const getParentDir = dir => {
  const dirParts = dir.split(_path.default.sep);

  if (dirParts.length <= 1) {
    return dir;
  }

  dirParts.pop();
  return dirParts.join(_path.default.sep);
};

const getMonoreposDirs = baseDir => {
  const result = [];
  let currentDir = baseDir;

  while (true) {
    if (isMonorepoDir(currentDir)) {
      result.push(currentDir);
    }

    const parentDir = getParentDir(currentDir);

    if (parentDir === currentDir) {
      break;
    }

    currentDir = parentDir;
  }

  return result;
};

const getMonoreposNodeModules = () => getMonoreposDirs(process.cwd()).map(dir => _path.default.join(dir, 'node_modules')).filter(dir => _fs.default.existsSync(dir));

var _default = getMonoreposNodeModules;
exports.default = _default;
//# sourceMappingURL=get_monorepo_node_modules.js.map