"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _glob = require("glob");

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _get_monorepo_node_modules = _interopRequireDefault(require("./get_monorepo_node_modules"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getPeerDependencies = () => {
  const peerDependencies = new Set();
  const packageJsonPaths = Array.from([_path.default.resolve(process.cwd(), 'node_modules'), _path.default.resolve(__dirname, '../node_modules'), ...(0, _get_monorepo_node_modules.default)()].map(dir => (0, _glob.sync)(`${dir}/**/package.json`)).reduce((acc, foundPackages) => {
    foundPackages.forEach(packageJsonPath => acc.add(packageJsonPath));
    return acc;
  }, new Set()));

  for (const packageJsonPath of packageJsonPaths) {
    try {
      const packageJson = JSON.parse(_fs.default.readFileSync(packageJsonPath));

      if (packageJson.peerDependencies != null) {
        for (const peerDependency of Object.keys(packageJson.peerDependencies)) {
          peerDependencies.add(peerDependency);
        }
      }
    } catch (error) {}
  }

  return peerDependencies;
};

var _default = getPeerDependencies;
exports.default = _default;
//# sourceMappingURL=get_peer_dependencies.js.map