"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _merge = _interopRequireDefault(require("./merge"));

var _generate_custom_mode = _interopRequireDefault(require("./generate_custom_mode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const validOptions = ['dropEventStore', 'dropReadModels', 'dropEventBus', 'dropSagas'];

const getConfig = async (resolveConfig, options) => {
  if (options == null || options.constructor !== Object) {
    throw new Error('Invalid reset options');
  }

  for (const key of Object.keys(options)) {
    if (!validOptions.includes(key) || options[key] == null || options[key].constructor !== Boolean) {
      throw new Error(`Invalid reset options: ${key}`);
    }
  }

  const config = (0, _merge.default)(resolveConfig, {
    apiHandlers: [{
      method: 'GET',
      path: '/api/reset-domain',
      handler: {
        module: 'resolve-runtime/lib/local/reset-domain-handler.js',
        options
      }
    }],
    eventBroker: {
      upstream: false
    }
  });
  return config;
};

const reset = (0, _generate_custom_mode.default)(getConfig, 'reset-domain');
var _default = reset;
exports.default = _default;
//# sourceMappingURL=reset_mode.js.map