"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _interopRequireDefault = _interopRequireDefault2(require("@babel/runtime/helpers/interopRequireDefault"));

var _loaderUtils = _interopRequireDefault2(require("loader-utils"));

var _path = _interopRequireDefault2(require("path"));

function _interopRequireDefault2(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const valQueryLoader = function (content) {
  const relPath = _path.default.relative.bind(_path.default, process.cwd());

  const valQueryOptions = _loaderUtils.default.getOptions(this);

  const resourceQuery = this.resourceQuery != null && this.resourceQuery.constructor === String ? this.resourceQuery : '';
  const pureResource = this.resource.substring(0, this.resource.length - resourceQuery.length);
  const func = (0, _interopRequireDefault.default)(this.exec(content, pureResource)).default;

  if (typeof func !== 'function') {
    throw new Error(`Module ${relPath(this.resource)} does not export default function`);
  }

  const result = func(valQueryOptions, resourceQuery);

  if (result == null || result.constructor !== String) {
    this.callback(new Error(`The returned result of module ${relPath(this.resource)} is not a string`));
    return;
  }

  this.cacheable(false);
  this.callback(null, result, null, null);
};

var _default = valQueryLoader;
exports.default = _default;
//# sourceMappingURL=val_query_loader.js.map